#ifndef MAIN_FRAME_H
#define MAIN_FRAME_H

#include "gui.h"
#include "Player.h"

class MainFrame :
	public MainFrameView
{
private:
	Player * cv;
public:
	MainFrame(void);
	~MainFrame(void);

	virtual void onOpenCameraMenuSelected( wxCommandEvent& event );
	virtual void onOpenVideoFileMenuSelected( wxCommandEvent& event );
	virtual void onQuitMenuSelected( wxCommandEvent& event );
	virtual void onDrawAxisMenuItemClicked( wxCommandEvent& event );
	virtual void onDrawOcclusionWireframeMenuItemClicked( wxCommandEvent& event );
		
};

#endif



